
CREATE VIEW VIEWFTDESPFRETE (EMPRESA, UF, MERCADO, ROTA, TIPOCLI, CLIENTE, TIPOREP, REPRESENTANTE, ANOMES, NUMNOTA, NUMCTE, VALOR_FRETE ) AS
SELECT VNDANFCD.ANFCD_EMPRESA,
       SUPAEMPR.AEMPR_ESTADO,
       VNDAEMDF.AEMDF_MERCADO,
       VNDAEMDF.AEMDF_ROTA_ENTREGA,
       VNDANFCD.ANFCD_TIPO_EMPR,
       VNDANFCD.ANFCD_CLIENTE,
       VNDANFCD.ANFCD_TIPO_REPRE,
       VNDANFCD.ANFCD_REPRE,
       SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6),
       VNDANFCD.ANFCD_NUM_NOTA,
       COUNT(DISTINCT InfoDadosNFCTE.CHAVE_CTE), 
       sum(InfoDadosNFCTE.VALOR_FRETE) 
FROM VNDANFCD, SUPAEMPR, VNDAEMDF, GRLAPVND, InfoDadosNFCTE  WHERE 
     VNDANFCD.ANFCD_FLAG_NOTA = 'K' AND 
     VNDANFCD.ANFCD_TIPO_NOTA = 'S' AND
     VNDANFCD.ANFCD_TIPO_EMPR = SUPAEMPR.AEMPR_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = SUPAEMPR.AEMPR_CODIGO AND
     VNDANFCD.ANFCD_TIPO_EMPR = VNDAEMDF.AEMDF_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = VNDAEMDF.AEMDF_CODIGO AND 
     VNDANFCD.ANFCD_EMPRESA   = GRLAPVND.EMPRESA AND
     VNDANFCD.ANFCD_UNIDADE   = GRLAPVND.UNIDADE AND  
     InfoDadosNFCTE.EMPRESA   = VNDANFCD.ANFCD_EMPRESA AND 
     InfoDadosNFCTE.UNIDADE   = VNDANFCD.ANFCD_UNIDADE AND 
     InfoDadosNFCTE.TIPO_NOTA = VNDANFCD.ANFCD_TIPO_NOTA AND 
     InfoDadosNFCTE.NUM_NOTA  = VNDANFCD.ANFCD_NUM_NOTA AND
     EXISTS (SELECT 1 FROM  InfoDadosDespNFCTE WHERE
     InfoDadosNFCTE.EMPRESA   = InfoDadosDespNFCTE.EMPRESA AND 
     InfoDadosNFCTE.UNIDADE   = InfoDadosDespNFCTE.UNIDADE AND 
     InfoDadosNFCTE.TIPO_NOTA = InfoDadosDespNFCTE.TIPO_NOTA AND 
     InfoDadosNFCTE.NUM_NOTA  = InfoDadosDespNFCTE.NUM_NOTA AND 
     InfoDadosNFCTE.MANUAL    = InfoDadosDespNFCTE.MANUAL AND 
     InfoDadosNFCTE.CHAVE_CTE = InfoDadosDespNFCTE.CHAVE_CTE) AND
     EXISTS (SELECT 1 FROM VNDANFLN WHERE
     VNDANFCD.ANFCD_EMPRESA   = VNDANFLN.ANFLN_EMPRESA   AND
     VNDANFCD.ANFCD_UNIDADE   = VNDANFLN.ANFLN_UNIDADE   AND
     VNDANFCD.ANFCD_TIPO_NOTA = VNDANFLN.ANFLN_TIPO_NOTA AND
     VNDANFCD.ANFCD_NUM_NOTA  = VNDANFLN.ANFLN_NUM_NOTA)
GROUP BY VNDANFCD.ANFCD_EMPRESA,
         SUPAEMPR.AEMPR_ESTADO,
         VNDAEMDF.AEMDF_MERCADO,
         VNDAEMDF.AEMDF_ROTA_ENTREGA,
         VNDANFCD.ANFCD_TIPO_EMPR,
         VNDANFCD.ANFCD_CLIENTE,
         VNDANFCD.ANFCD_TIPO_REPRE,
         VNDANFCD.ANFCD_REPRE,
         SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6),
         VNDANFCD.ANFCD_NUM_NOTA;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'FRETE POR CLIENTE/UF/REPRESENTANTE/ROTA' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTDESPFRETE';

CREATE VIEW VIEWFTDESPFRETEDET (EMPRESA, UF, MERCADO, ROTA, TIPOCLI, CLIENTE, TIPOREP, REPRESENTANTE, ANOMES, NUMNOTA, TIPO_DESPESA, VALOR_DESPESA ) AS
SELECT VNDANFCD.ANFCD_EMPRESA,
       SUPAEMPR.AEMPR_ESTADO,
       VNDAEMDF.AEMDF_MERCADO,
       VNDAEMDF.AEMDF_ROTA_ENTREGA,
       VNDANFCD.ANFCD_TIPO_EMPR,
       VNDANFCD.ANFCD_CLIENTE,
       VNDANFCD.ANFCD_TIPO_REPRE,
       VNDANFCD.ANFCD_REPRE,
       SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6),
       VNDANFCD.ANFCD_NUM_NOTA,
       InfoDadosDespNFCTE.TIPO_DESPESA,
       sum(InfoDadosDespNFCTE.VALOR_DESPESA) 
FROM VNDANFCD, SUPAEMPR, VNDAEMDF, GRLAPVND, InfoDadosDespNFCTE, InfoDadosNFCTE  WHERE 
     VNDANFCD.ANFCD_FLAG_NOTA = 'K' AND 
     VNDANFCD.ANFCD_TIPO_NOTA = 'S' AND
     VNDANFCD.ANFCD_TIPO_EMPR = SUPAEMPR.AEMPR_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = SUPAEMPR.AEMPR_CODIGO AND
     VNDANFCD.ANFCD_TIPO_EMPR = VNDAEMDF.AEMDF_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = VNDAEMDF.AEMDF_CODIGO AND 
     VNDANFCD.ANFCD_EMPRESA   = GRLAPVND.EMPRESA AND
     VNDANFCD.ANFCD_UNIDADE   = GRLAPVND.UNIDADE AND  
     InfoDadosNFCTE.EMPRESA   = VNDANFCD.ANFCD_EMPRESA AND 
     InfoDadosNFCTE.UNIDADE   = VNDANFCD.ANFCD_UNIDADE AND 
     InfoDadosNFCTE.TIPO_NOTA = VNDANFCD.ANFCD_TIPO_NOTA AND 
     InfoDadosNFCTE.NUM_NOTA  = VNDANFCD.ANFCD_NUM_NOTA AND
     InfoDadosNFCTE.EMPRESA   = InfoDadosDespNFCTE.EMPRESA AND 
     InfoDadosNFCTE.UNIDADE   = InfoDadosDespNFCTE.UNIDADE AND 
     InfoDadosNFCTE.TIPO_NOTA = InfoDadosDespNFCTE.TIPO_NOTA AND 
     InfoDadosNFCTE.NUM_NOTA  = InfoDadosDespNFCTE.NUM_NOTA AND 
     InfoDadosNFCTE.MANUAL    = InfoDadosDespNFCTE.MANUAL AND 
     InfoDadosNFCTE.CHAVE_CTE = InfoDadosDespNFCTE.CHAVE_CTE AND 
     EXISTS (SELECT 1 FROM VNDANFLN WHERE
     VNDANFCD.ANFCD_EMPRESA   = VNDANFLN.ANFLN_EMPRESA   AND
     VNDANFCD.ANFCD_UNIDADE   = VNDANFLN.ANFLN_UNIDADE   AND
     VNDANFCD.ANFCD_TIPO_NOTA = VNDANFLN.ANFLN_TIPO_NOTA AND
     VNDANFCD.ANFCD_NUM_NOTA  = VNDANFLN.ANFLN_NUM_NOTA)
GROUP BY VNDANFCD.ANFCD_EMPRESA,
         SUPAEMPR.AEMPR_ESTADO,
         VNDAEMDF.AEMDF_MERCADO,
         VNDAEMDF.AEMDF_ROTA_ENTREGA,
         VNDANFCD.ANFCD_TIPO_EMPR,
         VNDANFCD.ANFCD_CLIENTE,
         VNDANFCD.ANFCD_TIPO_REPRE,
         VNDANFCD.ANFCD_REPRE,
         SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6),
         VNDANFCD.ANFCD_NUM_NOTA,
         InfoDadosDespNFCTE.TIPO_DESPESA;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'DESPESAS DE FRETE DETALHADO POR CLIENTE/UF/REPRESENTANTE/ROTA' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTDESPFRETEDET';